/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { LitElement } from "lit";
import { Input } from "../input/Input";
export declare namespace HelpText {
    class ELEMENT extends LitElement {
        message: string;
        messageType: Input.MessageType | undefined;
        id: string;
        ariaLive: "off" | "assertive" | "polite";
        get inputMessageClassMap(): {
            [x: string]: boolean;
        };
        static get styles(): import("lit").CSSResult[];
        getIconName(): "" | "check-circle-badge-filled" | "error-legacy-badge-filled" | "warning-badge-filled" | "info-badge-filled";
        render(): import("lit-html").TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-help-text": HelpText.ELEMENT;
    }
}
